summaryrefslogtreecommitdiffstats
path: root/bin/git-debian-check.d/commit_message-end-with-full-stop.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/git-debian-check.d/commit_message-end-with-full-stop.sh')
-rwxr-xr-xbin/git-debian-check.d/commit_message-end-with-full-stop.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/bin/git-debian-check.d/commit_message-end-with-full-stop.sh b/bin/git-debian-check.d/commit_message-end-with-full-stop.sh
new file mode 100755
index 0000000..4a97e42
--- /dev/null
+++ b/bin/git-debian-check.d/commit_message-end-with-full-stop.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+# source-tools - Git extra utilities
+# Copyright (C) 2014-2016 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+echo -n " * (\033[0;32m${BRANCH}\033[0m) commit messages end with full stop..."
+
+COMMITS="$(git log --no-abbrev-commit ${BRANCH} -- | awk '/^commit / { print $2 }')"
+
+for COMMIT in ${COMMITS}
+do
+ MESSAGE="$(git show --no-patch --no-renames --pretty=format:%B ${COMMIT} | head -n1)"
+
+ if ! echo ${MESSAGE} | grep -qs '.$'
+ then
+ echo " \033[1;31mno\033[0m."
+ echo "E: commit message ${COMMIT} does not end with full stop."
+ fi
+done
+
+echo " \033[1;32myes\033[0m."